InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::ValidateFileSettings Struct Reference

Validation Settings. More...

`#include <LogSettings.h>`

## Public Member Functions
| ValidateFileSettings ()
| ValidateFileSettings (std::wstring const &argString)
std::wstring const | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | validateHeader
| Check if the file to convert has a valid ITLOG header.
unsigned | nodeID
| NodeID to use when it is not encoded in the file (e.g. for SD-card .LOG files).
ServiceHardwareTypeID | hardwareType
| Hardware type to use when it is not encoded in the file (e.g. for SD-card .LOG files).

## Detailed Description

Validation Settings.

Class containing settings for validating an ITLOG file. And device info when this is not encoded in the ITLOG file.

## Constructor & Destructor Documentation

## ◆ ValidateFileSettings() [1/2]

inertia::ValidateFileSettings::ValidateFileSettings | ( |  | ) |

Default constructor.

## ◆ ValidateFileSettings() [2/2]

inertia::ValidateFileSettings::ValidateFileSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates ValidateFileSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::ValidateFileSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for ValidateFileSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

std::wstring const inertia::ValidateFileSettings::ToString | ( |  | ) | const

Get a string representation of this ValidateFileSettings. The string is compatible with GetOptionDescription() and ValidateFileSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h